clear all; close all; clc;

load brain_mcoil.mat

[nx, ny, nc] = size(im);

C = reshape(im,nx*ny,nc);

[B, D] = eig(C'*C);

C_hat = C*B;

C_hat = reshape(C_hat,nx,ny,nc);

%%
figure(1); 
subplot(241); imshow(abs(im(:,:,1)));
subplot(242); imshow(abs(im(:,:,2)));
subplot(243); imshow(abs(im(:,:,3)));
subplot(244); imshow(abs(im(:,:,4)));
subplot(245); imshow(abs(im(:,:,5)));
subplot(246); imshow(abs(im(:,:,6)));
subplot(247); imshow(abs(im(:,:,7)));
subplot(248); imshow(abs(im(:,:,8)));

figure(2); 
subplot(241); imshow(abs(C_hat(:,:,1)));
subplot(242); imshow(abs(C_hat(:,:,2)));
subplot(243); imshow(abs(C_hat(:,:,3)));
subplot(244); imshow(abs(C_hat(:,:,4)));
subplot(245); imshow(abs(C_hat(:,:,5)));
subplot(246); imshow(abs(C_hat(:,:,6)));
subplot(247); imshow(abs(C_hat(:,:,7)));
subplot(248); imshow(abs(C_hat(:,:,8)));
